summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAmitay Isaacs <amitay@gmail.com>2011-07-27 18:52:05 +1000
committerAndrew Tridgell <tridge@samba.org>2011-07-28 15:20:53 +1000
commitc8769939016a8d18846ad1f5595080878e261bdf (patch)
tree56e7ffc7af9f0075f0932b89770ae30b400095b0 /testprogs
parent94976ee2eff973bc9fd296da42ec50ee4008ad7e (diff)
downloadsamba-c8769939016a8d18846ad1f5595080878e261bdf.tar.gz
samba-c8769939016a8d18846ad1f5595080878e261bdf.tar.bz2
samba-c8769939016a8d18846ad1f5595080878e261bdf.zip
test-blackbox: Remove 'domain\' from username for samba-tool user setpassword
Python version of samba-tool does not require 'domain\' prefix for username. Signed-off-by: Andrew Tridgell <tridge@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 9c85b28878..9cd9cd4b98 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -87,7 +87,7 @@ EOF
testit "modify servicePrincipalName" $VALGRIND $ldbmodify -H ldap://$SERVER $PREFIX/tmpldbmodify -k yes $@ || failed=`expr $failed + 1`
-testit "set user password with kerberos ccache" $VALGRIND $samba_tool user setpassword $DOMAIN\\nettestuser $USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
+testit "set user password with kerberos ccache" $VALGRIND $samba_tool user setpassword nettestuser --newpassword=$USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
testit "enable user with kerberos cache" $VALGRIND $enableaccount nettestuser -H ldap://$SERVER -k yes $@ || failed=`expr $failed + 1`
@@ -99,7 +99,7 @@ testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/
test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
NEWUSERPASS=testPaSS@34%
-testit "change user password with 'samba-tool user setpassword' (rpc)" $VALGRIND $samba_tool user setpassword -W$DOMAIN -U$DOMAIN\\nettestuser%$USERPASS $CONFIGURATION -k no $NEWUSERPASS $@ || failed=`expr $failed + 1`
+testit "change user password with 'samba-tool user setpassword' (rpc)" $VALGRIND $samba_tool user setpassword nettestuser -W$DOMAIN -Unettestuser%$USERPASS $CONFIGURATION -k no --newpassword=$NEWUSERPASS $@ || failed=`expr $failed + 1`
echo $NEWUSERPASS > $PREFIX/tmpuserpassfile
testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`